# LineElement

Class in [BasicBlock](/2.3/api/csharp/yarn.compiler/yarn.compiler.basicblock.md)

Inherits from [`PlayerVisibleContentElement`](/2.3/api/csharp/yarn.compiler/yarn.compiler.basicblock/yarn.compiler.basicblock.playervisiblecontentelement.md)

## Summary

A line of dialogue that should be shown to the player.

```csharp
public class LineElement : PlayerVisibleContentElement
```

## Fields

| Name                                                                                                                                                 | Description                                                       |
| ---------------------------------------------------------------------------------------------------------------------------------------------------- | ----------------------------------------------------------------- |
| [LineID](/2.3/api/csharp/yarn.compiler/yarn.compiler.basicblock/yarn.compiler.basicblock.lineelement/yarn.compiler.basicblock.lineelement.lineid.md) | The string table ID of the line that will be shown to the player. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/2.3/api/csharp/yarn.compiler/yarn.compiler.basicblock/yarn.compiler.basicblock.lineelement.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
